Puzzle / Developers
API referenceTransactions

Update Transaction

PATCH /company/{id}/transactions/{transactionId}

PATCH/company/{id}/transactions/{transactionId}

Path Parameters

id*string

The company ID

Length1 <= length
transactionId*string

The transaction ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/company/string/transactions/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string"}

Schema refreshed 2026-11-11T18:57:48.657Z